Subject: Re: batch video

From: [email-masked] (John Clyne)
Date: Thu, 12 Nov 92 13:56:44 MST

> John:
> 
> Answer to this question will probably be in the manual you
> are sending me for review, but since I have'nt seen it yet,
> I ask the question:
> 
> I am generating SGI rgb files in time series. I have learned
> how to take one of these images, convert it to sun raster
> file (using imconv), then to nrif. If I do this with the
> entire series of files, can I then concatenate them and
> send to TAGS for a video? Should I send SGI rgb, sun raster,

yes. 

> or nrif files to TAGS? How should I combine them to make

which ever is most convenient. NRIF files have a compressed format that
is generated by default by ctrans and rascat. So NRIF may be the way
to go if you have the flexibility.

> one file to send?

good question. I have to digress briefly: Many of the older raster file 
formats, such as Sun's and SGI's, were not intended to contain multiple
images. Thats OK because you can simply /bin/cat them together and 
TAGS can figure out that there are multiple images contained within. 
Some of the newer file formats, such as hdf, were designed to include
multiple images; the individual images are encapsulated into a single 
file. On one hand this is good because you can typically parse these
files quickly and painlessly. The down side is that you can no longer
simply cat these files together with the UNIX cat command. You can,
however, use rascat which is available with NCAR Grahics 3.1.3. In short,
rascat lets you treat an encapsulated format, like hdf, as if it were
a single-image format file. So the answer to your question is use
rascat if you want to play it safe.

> --Ben